E-MailRelay

Public Member Functions | Public Attributes | List of all members
G::StrImp::InPlaceBackInserter Struct Reference

A character appender used by G::Str. More...

## Public Member Functions
| InPlaceBackInserter (std::string &s, std::size_t pos)
InPlaceBackInserter & | operator= (char c)
InPlaceBackInserter & | operator* ()
InPlaceBackInserter | operator++ (int)
void | operator++ ()=delete

## Public Attributes
std::string & | m_s
std::size_t | m_pos
std::size_t | m_i {0U}

## Detailed Description

A character appender used by G::Str.

Definition at line 853 of file gstr.cpp.

## Constructor & Destructor Documentation

## ◆ InPlaceBackInserter()

G::StrImp::InPlaceBackInserter::InPlaceBackInserter | ( | std::string & | s,
|  | std::size_t | pos
| ) |  |
| inline

Definition at line 858 of file gstr.cpp.

## Member Function Documentation

## ◆ operator*()

InPlaceBackInserter & G::StrImp::InPlaceBackInserter::operator* | ( |  | ) |
| inline

Definition at line 871 of file gstr.cpp.

## ◆ operator++()

InPlaceBackInserter G::StrImp::InPlaceBackInserter::operator++ | ( | int |  | ) |
| inline

Definition at line 875 of file gstr.cpp.

## ◆ operator=()

InPlaceBackInserter & G::StrImp::InPlaceBackInserter::operator= | ( | char | c | ) |
| inline

Definition at line 863 of file gstr.cpp.

## Member Data Documentation

## ◆ m_i

std::size_t G::StrImp::InPlaceBackInserter::m_i {0U}

Definition at line 857 of file gstr.cpp.

## ◆ m_pos

std::size_t G::StrImp::InPlaceBackInserter::m_pos

Definition at line 856 of file gstr.cpp.

## ◆ m_s

std::string& G::StrImp::InPlaceBackInserter::m_s

Definition at line 855 of file gstr.cpp.

The documentation for this struct was generated from the following file:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/glib/gstr.cpp